Eclipse BIRT Report Object Model (ROM)

ComputedColumn Structure

# Structure Overview

A user-defined column in the result set.

### Details

Display Name: | Computed Column
Since: | 1.0

### Property Summary

aggregateOn
dataType
  Column data type property.
expression
  The BIRT expression that defines the value of the computed column.
name
  The name of the computed column.

### Description

A computed column is a user-defined column produced as an expression of other columns within the data set. It is not one of the columns retrieved directly from the underlying data provider.

# Property Detail

## aggregateOn Property

### Details

Type: | string
Since: | 2.1
Required: | No
Display Name: | AggregateOn Expression
JavaScript Type: |
Default Value: | None
Runtime Settable: | Yes

## dataType Property

Column data type property.

### Details

Type: | choice (columnDataType)
Since: | 2.0
Required: | No
Display Name: | Data Type
JavaScript Type: |
Default Value: | any
Runtime Settable: | No

### Choices

Name | Display Name | Value | Description
any | Any | any |
integer | Integer | integer |
string | String | string |
date-time | Date Time | date-time |
decimal | Decimal | decimal |
float | Float | float |

### Description

Column data type property.

## expression Property

The BIRT expression that defines the value of the computed column.

### Details

Type: | expression
Context: | factory
Expression Type: | any
Since: | 1.0
Required: | Yes
Display Name: | Expression
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

### Description

The expression that gets evaluated and its resulting value assigned to the computed column.

## name Property

The name of the computed column.

### Details

Type: | name
Since: | 1.0
Required: | Yes
Display Name: | Column Name
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

### Description

The name of the computed column and is required. The name must be unique within the result set.

### See Also

The Result Column Names section for the naming rules.